Search documentation of ExStreamClient

# ExStreamClient.Model.CallType (ExStreamClient v0.1.10)

View Source

Schema representing a CallType

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CallType{
      app_pk: integer(),
      created_at: float(),
      external_storage: String.t(),
      name: String.t(),
      notification_settings: ExStreamClient.Model.NotificationSettings.t() | nil,
      pk: integer(),
      settings: ExStreamClient.Model.CallSettings.t() | nil,
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()